<?php
session_start();
require_once ("../../config/Cado.php");
require_once ("../usuario/cUsuarioprograma.php");
$oUsuarioprograma = new cUsuarioprograma();
$fecha = date('Y-m-d');
require_once ("../formatos/formato.php");


if($_POST['action']=='agregar')
{
	if(!empty($_POST['mod_id'])){
		
		$dtsex = $oUsuarioprograma->mostrar_uno($_POST['usu_id'],$_POST['mod_id']);
		$numrows = mysqli_num_rows($dtsex);
		if($numrows>0){
			$data['est']='1';
			$data['msj']='Modulo ya agregado';
		}else{
		$oUsuarioprograma->insertar($_POST['usu_id'],$_POST['mod_id'],fecha_mysql($fecha));
			$data['est']='1';
			$data['msj']='Modulo agregado';
		}
	}else{
		$data['est']='0';
		$data['msj']='Seleccione un modulo';
	}
		
		echo json_encode($data);
}


if($_POST['action']=='anular')
{
	//echo '--'.$_POST['prousu_id'];
	
	if(!empty($_POST['usu_id'])){
		$oUsuarioprograma->eliminarPrograma($_POST['usu_id'],$_POST['mod_id']);
		$data['est']='1';
		$data['msj']='Modulo eliminado';
	}else{
		$data['est']='0';
		$data['msj']='Intentelo nuevamente';
	}
		
		echo json_encode($data);
}


?>